Subject: NOMCOM - Time-Critical - Final Call for Nominations

From: NomCom Chair 2013 <[email-masked]>
Date: Thu, 17 Oct 2013 07:09:05 -0700

A critically low number of people have accepted nominations for some of the 
IESG open positions.  There is only one nominee per slot in APP, OPS and TSV, 
only two in INT and RAI.  Many folks have declined nominations.  

While the Nomcom appreciates that support for two years of intense service 
is hard to assure, and while we are aware that there is much support for the 
incumbents who are standing, the IETF should continually be considering
which new talent is available for our leadership, and the Nomcom process 
needs for there to be some review and deliberation. 

Therefore, we urgently request that more nominees come forward.  

DEADLINES
Nominations - October 18 
Questionnaires from nominees - October 25

Not coincidentally, this is a good time to think over and send your comments 
about the current statements of desired expertise of positions - this is part of 
the Nomcom's annual review process as well.  Send them to [email-masked].

Definitive location [*] of the current statements on desired expertise:
      https://datatracker.ietf.org/nomcom/2013/expertise/

Instructions and details on nomination [**]:
      https://datatracker.ietf.org/ann/nomcom/60602/

Thanks, everyone,

Allison for the Nomcom

[*] This year the Nomcom tools were recoded, and also transitioned into the 
datatracker.  Apologies for a number of places where we didn't catch reference 
errors.

[**] Yes, alas, the previous call for nominations used "OAM" instead of "OPS," but 
we have* corrected this (chair's pilot) error where it occurred in the Nomcom 
pages.

---

From: Tim Chown <[email-masked]>
Date: Thu, 17 Oct 2013 15:54:11 +0100

Hi,

> needs for there to be some review and deliberation. 

I believe the "intense service" you mention is a significant deterrent for many.

I'm sure it's been suggested before, but is there mileage in rethinking the 
AD roles, and either the number of ADs per area, or whether introducing 
Assistant ADs or similar might allow people who can contribute less time to 
do so, while easing the burden on the main ADs?

Just a thought anyway. Personally, I'd assume that some people would be 
more willing to help if deemed to have the skills required, but the time 
constraints are, as many ADs will confirm if you chat with them, the blocking
factor.

Tim

---

From: John C Klensin <[email-masked]>
Date: Thu, 17 Oct 2013 11:51:31 -0400

--On Thursday, October 17, 2013 15:54 +0100 Tim Chown
<[email-masked]> wrote:

>> A critically low number of people have accepted nominations
>> for some of the  IESG open positions.  There is only one
>> nominee per slot in APP, OPS and TSV,  only two in INT and
>> RAI.  Many folks have declined nominations.  
>> 
>> While the Nomcom appreciates that support for two years of
>> intense service  is hard to assure, and while we are aware
>> that there is much support for the  incumbents who are
>> standing, the IETF should continually be considering which
>> new talent is available for our leadership, and the Nomcom
>> process  needs for there to be some review and deliberation. 
> 
> I'm sure it's been suggested before, but is there mileage in
> rethinking the  AD roles, and either the number of ADs per
> area, or whether introducing  Assistant ADs or similar might
> allow people who can contribute less time to  do so, while
> easing the burden on the main ADs?

You could add the economic costs to the time costs on that list.
Worse, unless something intervenes or one really hates the job,
it is really a four year commitment if only because it takes a
year or more to really settle into the job and leaving after two
years feels like a bad return on that investment (to both the AD
and the community).

> Just a thought anyway. Personally, I'd assume that some people
> would be  more willing to help if deemed to have the skills
> required, but the time  constraints are, as many ADs will
> confirm if you chat with them, the blocking factor.

A few observations, fwiw...

(1) The time and resource commitment required of ADs is largely,
but not entirely, of the IESG's own making.  People get selected
who have the time and resources and the job and/or perception of
things for which IESG members need to take personal
responsibility tend to expand to more than fill the available
time.  I've given the opinion to a number of Nomcoms that the
problem will just get worse unless they select people who see
that expansion of the role as a problem and have plans for how
to fix it (or at least a good-faith intent to support such
plans).   My impression is that it hasn't ranked high in Nomcom
priorities so, if it is important to others, more people need to
say it.

At the same time, it is hard to blame the IESG for a lot of the
problem.  The community has not been supportive of efforts to
push back on formation of WGs nor of shutting down ones that are
unproductive or that cannot reach reasonable levels of consensus
about their work.  The "chief representative of the IETF
community to external communities" has shifted from the IAB
Chair to the IETF one.  Whether that is a good thing or a bad
one, it inevitably means that more of the consultation burden
falls on IESG members, increasing workload.   Many documents
reach IETF Last Call and get almost no comments, so we expect
IESG members to be responsible for doing the evaluations (or
evaluations of "area reports" from people who may not know the
technology being proposed) themselves.  Perhaps we should be
firing ADs for letting those documents go into Last Call in the
first place but, unless we are going to cut off the WG that
produce them, it is hard to believe that would be sensible (even
if there were lots of spare candidates).

(2) The Nomcom doesn't have a lot of control in this space.  The
number of ADs per area is set by the IESG, not the Nomcom, and
the Nomcom has little choice other that to try to fill the
positions (there have been debates over the years as to whether
a Nomcom could actually refuse to fill a position but certainly
it should not consider trying except in the most dire of
circumstances).  ADs have tremendous flexibility about how they
manage their areas and several of your suggestions could be
adopted unilaterally by a sitting AD (or the ADs in one area)
with no formal community or even IESG approval needed.  If it is
important enough, we could tell Nomcoms to start firing (or
refusing to appoint) ADs who don't show good management and
delegation skills but, if we did that any they listened, they
might have to prioritize management skills over technical skills
and understanding and it is possible that wouldn't work out well
(and would give us even more professional standardizers and
process folks rather than technical experts who are willing and
able to devote a few years to community service on the IESG).

In other words, while I mostly agree with you, it is too late
for most of the issues and remedies by the time the Nomcom
issues a call for Nominations.

just my (very jaded) opinion.
    john

---

From: Dave Cridland <[email-masked]>
Date: Thu, 17 Oct 2013 17:02:45 +0100

> constraints are, as many ADs will confirm if you chat with them, the

I think the blocking factor may be primarily a financial one.

I'd like to nominate one person, but I know that as they are self-employed
as a consultant, they would forfeit essentially all income in order to
satisfy the time demands. Indeed that's more or less what they said to me.

The only solution allowing independents to become an AD that I can see
would be for larger companies to partially or wholly sponsor slots and/or
particular individuals. If this were to happen, I think we'd get both more,
and more diverse, nominations; but I appreciate that like John's
suggestions, mine is unlikely to solve the problem this time around.

Dave.

---

From: joel jaeggli <[email-masked]>
Date: Thu, 17 Oct 2013 09:26:11 -0700

On Oct 17, 2013, at 9:02 AM, Dave Cridland <[email-masked]> wrote:

> I'd like to nominate one person, but I know that as they are self-employed as a consultant, they would forfeit essentially all income in order to satisfy the time demands. Indeed that's more or less what they said to me.
> 
> The only solution allowing independents to become an AD that I can see would be for larger companies to partially or wholly sponsor slots and/or particular individuals. If this were to happen, I think we'd get both more, and more diverse, nominations; but I appreciate that like John's suggestions, mine is unlikely to solve the problem this time around.

At the point where we pay people to occupy the role the nature of it changes dramatically.

---

From: Chaitanya Dhareshwar <[email-masked]>
Date: Thu, 17 Oct 2013 21:57:28 +0530

Makes sense Dave. I know having a possible solution named out does not
solve the problem this time around - but that the current nominees would
have naturally considered the expense ($+time). If a sponsorship scheme it
worked out before the next round it could not only benefit the current AD
but also set a positive interest factor in motion.

On Thu, Oct 17, 2013 at 9:32 PM, Dave Cridland <[email-masked]> wrote:

> I can see would be for larger companies to partially or wholly sponsor
> slots and/or particular individuals

*Chaitanya Dhareshwar*
**
Linkedin <http://in.linkedin.com/in/chaitanyabd> | Blog <http://cbd.vcio.in> |
Skype: chaitanyabd
Mobile: +91.9820760253

---

From: Melinda Shore <[email-masked]>
Date: Thu, 17 Oct 2013 09:11:52 -0800

On 10/17/13 8:02 AM, Dave Cridland wrote:
> The only solution allowing independents to become an AD that I can
> see would be for larger companies to partially or wholly sponsor
> slots and/or particular individuals. 

I suspect that there are companies out there who would view
this as giving them better "access" (i.e. the ability to apply
political pressure).  Not really very fond of this idea.

Melinda

---

From: Ted Lemon <[email-masked]>
Date: Thu, 17 Oct 2013 13:16:20 -0400

> political pressure).  Not really very fond of this idea.

It would have to be a formal commitment of resources that couldn't be rescinded for the duration of the AD's term.   I suppose there would still be the possibility of the AD doing something to try to retain the position after the end of the term, but I think the job is not so much fun that this would be a real issue.   I think the current funding mechanism creates a much more substantial possibility of companies thinking they will get "access," because in fact they do.   I have heard of at least one former AD being influenced in this way (no, I won't tell you which one, and I don't have proof that it happened, just hearsay).

---

From: Michael Richardson <[email-masked]>
Date: Thu, 17 Oct 2013 13:22:12 -0400

John C Klensin <[email-masked]> wrote:
    > (1) The time and resource commitment required of ADs is largely, but
    > not entirely, of the IESG's own making.  People get selected who have
    > the time and resources and the job and/or perception of things for
    > which IESG members need to take personal responsibility tend to expand
    > to more than fill the available time.  I've given the opinion to a
    > number of Nomcoms that the problem will just get worse unless they
    > select people who see that expansion of the role as a problem and have
    > plans for how to fix it (or at least a good-faith intent to support
    > such plans).  My impression is that it hasn't ranked high in Nomcom
    > priorities so, if it is important to others, more people need to say

Perhaps some people who feel this way ought to write an open letter saying
so.

    > (2) The Nomcom doesn't have a lot of control in this space.  The number
    > of ADs per area is set by the IESG, not the Nomcom, and the Nomcom has
    > little choice other that to try to fill the positions (there have been
    > debates over the years as to whether a Nomcom could actually refuse to
    > fill a position but certainly it should not consider trying except in
    > the most dire of circumstances).  ADs have tremendous flexibility about

sadly, 3777 doesn't provide a way for the nomcom to "fail"

    > enough, we could tell Nomcoms to start firing (or refusing to appoint)
    > ADs who don't show good management and delegation skills but, if we did
    > that any they listened, they might have to prioritize management skills
    > over technical skills and understanding and it is possible that
    > wouldn't work out well (and would give us even more professional

And don't forget that the confirming body has to agree.
So, if you want to fix IESG problems, you have to pick IAB people who
agree that there is a problem.

--
Michael Richardson <[email-masked]>, Sandelman Software Works

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 17 Oct 2013 13:23:11 -0400

As long as the external funding is not tied to a specific person or position, but a general support fund to be administered by the IETF, there's probably no more pressure than (say) sponsoring an IETF meeting.

The notion that a nearly full-time position with lots of travel can be a "volunteer" is clearly make-believe. There are three possibilities:

(1) Only people employed by large corporations can realistically be candidates. The same "access" issues you mention apply, presumably.

(2) There is a way to financially support other candidates via a stipend, similar to what (say) the Federal government does when they "borrow" faculty for the NSF, DARPA or the FCC.

(3) The workload of the IESG members is reduced and distributed to return it to a volunteer position (i.e., probably no more than ten hours a week).

Henning

---

From: Dave Crocker <[email-masked]>
Date: Fri, 18 Oct 2013 07:35:35 +1300

On 10/18/2013 3:54 AM, Tim Chown wrote:
> AD roles,

It has been suggested many times.  The suggestion has been ignored.

We have been having some very serious recruitment problems for a number 
of years now.  This year's crisis was entirely predictable.

The only way the situation will change meaningfully is to make the job 
less onerous, and especially make it possible for the AD to continue 
doing real work for their company.

ADs are senior folk.  That makes them a strategic resource for their 
company.  Or, at least, they'd better be.  Only very large companies can 
afford to lose a strategic resource for years.

Looking for alternative funding does not make the job less onerous and 
does not permit the AD to continue doing real work for their company.

Re-define the bloody job.  At a minimum, make the workload realistically 
no more than 50%, but I actually suggest trying for 25%, given that 
reality will increase the actual amount above that.

This means taking the current list of AD tasks and deciding on the ones 
that absolutely cannot be done by others, and specifying other ways to 
do the remainder.

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: John C Klensin <[email-masked]>
Date: Thu, 17 Oct 2013 14:42:06 -0400

--On Thursday, October 17, 2013 09:26 -0700 joel jaeggli
<[email-masked]> wrote:

>> The only solution allowing independents to become an AD that
>> I can see would be for larger companies to partially or
>> wholly sponsor slots and/or particular individuals. If this
>> were to happen, I think we'd get both more, and more diverse,
>> nominations; but I appreciate that like John's suggestions,
>> mine is unlikely to solve the problem this time around.
> 

Joel,

Yes.

At the same time, having positions that can predominantly only
be filled by those who work for, or can scrounge long-term
funding commitments from, large companies, governments, or
organizations that see particular benefits to themselves to
having someone on the IESG (or IAB) changes things dramatically
too.  And I suggest we are already very far down that slippery
slope.

Speaking as one of those independents who, in recent years, has
had to weigh the costs of every meeting against whether there is
really sufficient benefit to being there (if I hadn't already
made several commitments and missed Berlin, I wouldn't be coming
to Vancouver), I think it might be possible to do three things
without causing more harm than we have done to ourselves already:

(i) We could try to get broad support for the marginal expenses
associated with leadership positions.  Not salary or equivalent
(that would cross over into "paying people to occupy the role")
and probably not even the basic costs of attending IETF
meetings, but it might help if the extra costs associated with
retreats, extra days of meetings, etc., became community
expenses rather than additional burdens on people who volunteer
for leadership roles.   It would still leave most independents
with the problem of giving up actual income to participate
because a day spent on IETF work is a day or no pay while most
company-sponsored participants continue to draw salaries while
working on IETF things, but, for at least some of us, there is a
large psychological difference between forgone income and out of
pocket expenses.

(ii) We could try to trim these roles back to the 1/4 to 1/2
time they represented 15 or 20 years ago.  For many people,
there is a huge difference between "full time commitment for a
couple of years" and "you may need to work hard, long, hours but
can expect to continue to do your day job with real design,
product, implementation, or management responsibilities while
serving as an AD".

Again, the Nomcom can't do much about either of these things
other than trying to recruit and select people who think the
issues are important (if the community actually believes that
they are).  However, I think that those of us who are concerned
should remember that these sorts of issues are unlikely to be
personal priorities for any seated IESG member -- after all,
they, by definition, have the time and support needed to do the
job and the Nomcom has yet to fail to fill a position because no
one could be found who was reasonably qualified and willing to
do it.

   john

---

From: John C Klensin <[email-masked]>
Date: Thu, 17 Oct 2013 14:47:33 -0400

--On Friday, October 18, 2013 07:35 +1300 Dave Crocker
<[email-masked]> wrote:

>> rethinking the AD roles,
> We have been having some very serious recruitment problems for
> a number of years now.  This year's crisis was entirely
> predictable.
> 
> The only way the situation will change meaningfully is to make
> the job less onerous, and especially make it possible for the
> AD to continue doing real work for their company.
> 
> ADs are senior folk.  That makes them a strategic resource for
> their company.  Or, at least, they'd better be.  Only very
> large companies can afford to lose a strategic resource for
> years.
> 
> Looking for alternative funding does not make the job less
> onerous and does not permit the AD to continue doing real work
> for their company.
> 
> Re-define the bloody job.  At a minimum, make the workload
> realistically no more than 50%, but I actually suggest trying
> for 25%, given that reality will increase the actual amount
> above that.
> 
> This means taking the current list of AD tasks and deciding on
> the ones that absolutely cannot be done by others, and
> specifying other ways to do the remainder.

Agree completely (our notes crossed in the mail).

But, again, the Nomcom can't fix this, at least for this year's
selections.   And one thing that has prevented the job from
being trimmed back is resistance from sitting ADs (sometimes
public and vigorous and sometimes passive refusal to consider
procedural changes or discuss them with the community, but
nonetheless blocking resistance).   I would support advising the
Nomcom that no one should be placed on, or returned to, the IESG
unless the Nomcom members were convinced that the candidates
considered reducing the size of the role both appropriate and a
high priority.  

I don't believe there has ever been sufficient community
consensus for that.  I'd be delighted to be wrong.

    john

---

From: Dave Crocker <[email-masked]>
Date: Fri, 18 Oct 2013 07:58:21 +1300

> considered reducing the size of the role both appropriate and a

The IESG defines the job and the IESG 'operates' the model.  So yes, 
formally the IESG controls this issue.

However...

Nomcom can apply pretty much whatever criteria it wants to the selection 
process and Nomcom has been know to have some private negotiations with 
the IESG.  Nothing as profound as the change we are suggesting, but still...

So yes, an example of how Nomcom might independently deal with the 
current crisis is to announce a policy of looking for ADs who are 
willing to work no more than X% and then making a point of selecting 
such folk.

(Note that I'm saying something different from John.  He's caling for 
new folk who would "support" a change; I'm calling for new folk who are 
firm that they won't do more than X%.)

It would be better for the IESG to take the initiative here and formally 
and publicly re-define the job, but it has so far ignored such requests.

So Nomcom could start things towards that change on its own.

d/

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 17 Oct 2013 20:59:27 +0200

I suggest not to change AD tasks, efforts, and responsibilities but to add
a new position for each area as assistant AD position that has less
qualification and attendance (can be done by remote participants). I think
the ignorance is on remote participants not on reducing responsibilities.

IMHO, If we reduce job output of AD and  responsibilities we will get low
quality Processes. By having assistant ADs we reduce only ADs input hours
in IETF.

AB

On Thursday, October 17, 2013, Dave Crocker wrote:

> We have been having some very serious recruitment problems for a number of
> years now.  This year's crisis was entirely predictable.
>
> less onerous, and especially make it possible for the AD to continue doing
> real work for their company.
>
> no more than 50%, but I actually suggest trying for 25%, given that reality
> will increase the actual amount above that.
>
> that absolutely cannot be done by others, and specifying other ways to do
> the remainder.
>
> d/
>
>
> --
> Dave Crocker

---

From: S Moonesamy <[email-masked]>
Date: Thu, 17 Oct 2013 11:55:56 -0700

Yes.

>do so, while easing the burden on the main ADs?

My guess is that it is possible to reduce the time requirement to 20 
hours per week.  It is not possible to get there within a short 
timespan.  There is a chance that the person attempting that might be 
recalled before being able to do anything substantive.

Introducing Assistant ADS might alleviate the problem instead of 
being a long-term solution.  Please note that I am taking into 
consideration the 11-year IETF cycle.

Yes.

Yes.

Yes.

Adding to the above, the next year, there will be a new NomCom which 
has to face the same issues and cannot do much about it as it is too late.

At 10:23 17-10-2013, Henning Schulzrinne wrote:
>The notion that a nearly full-time position with lots of travel can 
>be a "volunteer" is clearly make-believe. There are three possibilities:
>
>(1) Only people employed by large corporations can realistically be 
>candidates. The same "access" issues you mention apply, presumably.

Yes.

>(3) The workload of the IESG members is reduced and distributed to 
>return it to a volunteer position (i.e., probably no more than ten 
>hours a week).

The IESG would have to review less documents.  There would have to be 
less working groups under the responsibility of the Area Director.  A 
controversial working group can easily take around ten hours of work 
a week.  The amount of time can be cut down by sharing the 
workload.  There would have to be some training if one believes that 
it would be inconsiderate to ask a person to volunteer and let the 
person hang himself/herself.

At 11:35 17-10-2013, Dave Crocker wrote:
>We have been having some very serious recruitment problems for a 
>number of years now.  This year's crisis was entirely predictable.

Yes.

>realistically no more than 50%, but I actually suggest trying for 
>25%, given that reality will increase the actual amount above that.
>
>This means taking the current list of AD tasks and deciding on the 
>ones that absolutely cannot be done by others, and specifying other 
>ways to do the remainder.

Yes.

Regards,
S. Moonesamy

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 17 Oct 2013 13:10:32 -0600

> So Nomcom could start things towards that change on its own.

I agree that the job needs to change.

It might be helpful to talk about what could change, such as:

1. Less/no time on document reviews.
2. Less time managing working groups.
3. Fewer working groups to manage.
4. Fewer "extra" tasks (e.g., interfacing with other SDOs).
5. Less/no involvement with BoFs and other early-stage efforts.
6. Less/no involvement with creating the schedule.

Perhaps some time and motion studies are in order to figure out how ADs
spend their time. In my experience, document reviews required a major
time commitment.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Olafur Gudmundsson <[email-masked]>
Date: Thu, 17 Oct 2013 15:26:22 -0400

On Oct 17, 2013, at 2:35 PM, Dave Crocker <[email-masked]> wrote:

> We have been having some very serious recruitment problems for a number of years now.  This year's crisis was entirely predictable.
> 
> The only way the situation will change meaningfully is to make the job less onerous, and especially make it possible for the AD to continue doing real work for their company.
> 
> ADs are senior folk.  That makes them a strategic resource for their company.  Or, at least, they'd better be.  Only very large companies can afford to lose a strategic resource for years.
> 
> Looking for alternative funding does not make the job less onerous and does not permit the AD to continue doing real work for their company.
> 
> Re-define the bloody job.  At a minimum, make the workload realistically no more than 50%, but I actually suggest trying for 25%, given that reality will increase the actual amount above that.
> 
> This means taking the current list of AD tasks and deciding on the ones that absolutely cannot be done by others, and specifying other ways to do the remainder.
> 
> d/
> 

Hear hear +1 
some ideas to decrease the work load 
	1) Limit on working groups in each area 
	2) Less review of documents our outsource reviews
	3) Lower the voting threshold for document to pass
	4) Reduce hurdles in processing
	5) Assign tasks to different bodies 
	6) More competent WG chairs 
	7) Pick AD's that are less likely to nit pick documents
	8) ignore process nazi's and streamline process. 
	9) Ignore external bodies 
      10) Cut the number of AD's fewer people fewer arguments 

	Olafur
PS: disclaimer I'm on NOMCOM so please volunteer

---

From: Andrew Sullivan <[email-masked]>
Date: Thu, 17 Oct 2013 15:27:47 -0400

Dear colleagues,

Emphatically no hat.  

Dave,

On Fri, Oct 18, 2013 at 07:58:21AM +1300, Dave Crocker wrote:

> Nomcom can apply pretty much whatever criteria it wants to the
> selection process and Nomcom has been know to have some private
> negotiations with the IESG.  Nothing as profound as the change we
> are suggesting, but still...

I agree that the Nomcom can undertake such negotiations.  I wonder,
however, whether you really are suggesting that the Nomcom could make
this decision on its own, without even telling anyone it is using such
private criteria, and without the community breaking out the tar and
feathers on the future date when that news somehow comes out.  (More
succinctly, I guess, "Are you serious, or merely exaggerating?")

> So Nomcom could start things towards that change on its own.

As I read you, you're not saying "start change", but "implement a
change".  No?

Best, 

A

-- 
Andrew Sullivan
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Oct 2013 08:37:58 +1300

On 18/10/2013 08:10, Peter Saint-Andre wrote:
...
> It might be helpful to talk about what could change, such as:

I've inserted some ideas about how to make such changes possible.

> 1. Less/no time on document reviews.

1A. All WGs do a near-perfect job on their drafts, including
complete management of cross-area reviews.

1B. Lower the current bar of near-perfection for document approval.

1C. IESG is allowed to reject a document as "Not ready" without
detailed explanation.

> 2. Less time managing working groups.

2A. All WG Chairs to do a near-perfect job.

2B. Quickly replace failing WG Chairs.

2C. Summary closure of failing WGs.

> 3. Fewer working groups to manage.

3A. IESG refuses the majority of proposed WGs.

3B. See 2C.

> 4. Fewer "extra" tasks (e.g., interfacing with other SDOs).

4A. Leave liaisons entirely to the designated liaison managers.

4B. Replace failing liaison managers. (IAB job)

4C. Simply refuse other extra tasks.

> 5. Less/no involvement with BoFs and other early-stage efforts.

5A. IAB spends less time on admin/politics and more time on Architecture,
including BOFs. Also see 3A.

> 6. Less/no involvement with creating the schedule.

[I'm not sure that will work. ADs are uniquely placed to
identify clashes and overlaps.]

   Brian

---

From: John C Klensin <[email-masked]>
Date: Thu, 17 Oct 2013 15:41:26 -0400

--On Friday, October 18, 2013 07:58 +1300 Dave Crocker
<[email-masked]> wrote:

> selection process and Nomcom has been know to have some
> private negotiations with the IESG.  Nothing as profound as
> the change we are suggesting, but still...
> 
> So yes, an example of how Nomcom might independently deal with
> the current crisis is to announce a policy of looking for ADs
> who are willing to work no more than X% and then making a
> point of selecting such folk.
> 
> (Note that I'm saying something different from John.  He's
> caling for new folk who would "support" a change; I'm calling
> for new folk who are firm that they won't do more than X%.)

I am guessing that this problem, which took years to create,
would take some time to untangle and the effect of half the IESG
with a firm X% and "work to rule" commitment would either be
overloading the other half of the ADs and burning them out or
massive disruption as various groups jockeyed for priority.  So
I thought more in terms of firm commitments to start winding the
level of effort down to some future target rather than an
immediate limit (this is faintly reminiscent of different
proposals many years ago to put ceilings on the number of WGs --
agreement in principle, difference in methods for making the
transition).  

It occurs to me that, if X were pegged at a number much higher
than the ultimate target but somewhat lower then what we think
is going on today with the intention of lowering it further in
subsequent years, the two approaches might differ more in
principle than in practice.  

I note that the IESG has told the Nomcom (see the "A Few
Comments on the IESG Role" section of the "Desired Expertise"
sections on the Nomcom pages) that the "basic" activities
consume between 25 and 40 hours per week and then goes on to
talk about "approximately full-time" and "additional activities"
that "further increase the time commitment".   I also note that
three IETF meetings a year with travel and arrival a couple of
days early, plus a couple of retreats and associated travel, is
already 15-19% of a nominal FTE (circa 200 days a year) annual
commitment before any document reviews or other out-of-meeting
work is added in, so the "day a week or so" level that some of
us would like to see would require a _lot_ of changes and
adjustments.

My guess is that some current and recent IESG members would
consider a 40 hour a week average to be a significant reduction
in time commitment.  That is clearly much too high to also
expect someone to hold down serious day-job responsibilities,
but it might suggest 35-40 hours (whatever that is deemed to
mean in percentages) as an initial target under your X% proposal.

> It would be better for the IESG to take the initiative here
> and formally and publicly re-define the job, but it has so far
> ignored such requests.

Yes, although "ignored" might be too charitable.

> So Nomcom could start things towards that change on its own.

And there we agree, although I think that a responsible Nomcom
(and I hope all of them are and have been) would want to see a
significant show of support from the community for doing
something that might cause serious disruptions (and which I'm
sure some previous IESGs would insist _would_ cause serious
disruptions).

best,
   john

---

From: Ted Lemon <[email-masked]>
Date: Thu, 17 Oct 2013 15:46:09 -0400

> 2B. Quickly replace failing WG Chairs.

You forgot "from a magical pool of better qualified WG chairs who have the time and inclination to take on the work."   This is actually very similar to the AD acquisition problem.

The IESG is actively interested in improving the situation (that is, reducing the workload).   We'd like document shepherds to take on more responsibility at the start, in the middle, and during the review process.   Sometimes we see glimmerings of this happening.

But the bottom line is that the IETF is an all-volunteer organization.   ADs wind up doing all the work because we've managed to convince our managers to let us do IETF work full-time-ish.   Finding people onto who to offload work who are both willing to do it and competent to do it is nontrivial.   Either one or the other isn't so hard; both is hard.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Oct 2013 08:50:35 +1300

On 18/10/2013 08:26, Olafur Gudmundsson wrote:
...
> 	3) Lower the voting threshold for document to pass

It's already pretty low, considering that one valid meaning
of 'No objection' is 'I trust the sponsoring AD'. That
option should perhaps be used more often.

> 	4) Reduce hurdles in processing

Please be specific.

> 	5) Assign tasks to different bodies

The problem with that is that more bodies need more volunteers,
so the problem is not guaranteed to go away. But as we've said
*many* times, truly delegating document review would make a big
difference.

> 	8) ignore process nazi's and streamline process. 

Again, please be specific. For example, ignoring dissent and consensus
forming will generally speaking increase the workload in the long run.

> 	9) Ignore external bodies 

We can't. But we can insist that liaison is handled by the
liaison managers.

>       10) Cut the number of AD's fewer people fewer arguments 

You really can't do that without dramatically cutting the number
of WGs. If we had 50 WGs we'd have fewer ADs, or their workloads
would be much less.

     Brian

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 17 Oct 2013 13:57:16 -0600

> of WGs. If we had 50 WGs we'd have fewer ADs, or their workloads

I'm of the opinion that we have too many working groups. However, it's
hard for IETF participants (in which I include ADs) to build the
discipline to close non-performing WGs, reject proposals from folks who
earnestly want to do work (sometimes quite interesting work) at the
IETF, etc.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Oct 2013 08:57:31 +1300

> But the bottom line is that the IETF is an all-volunteer organization.   ADs wind up doing all the work because we've managed to convince our managers to let us do IETF work full-time-ish.   Findin…

Yes, of course you're right. But if we're going to actually solve this
problem before we encounter a NomCom that says "Unfortunately we have
no willing nominees for the following seven positions", or maybe
"We have one nominee for each position, all employees of Foofle Inc.",
we really need to get a bit drastic.

"I have decided that since the Boofah WG has missed all milestones for
the past year and no alternative chairs are available, the WG will
now be closed."

   Brian

---

From: Ted Lemon <[email-masked]>
Date: Thu, 17 Oct 2013 16:05:48 -0400

> the past year and no alternative chairs are available, the WG will

Yes, actually I think closing working groups is one of the knobs that needs to be turned more.   But it's not always simple, and it's not clear that that would get rid of enough work.

The knob that I most need to turn is my tendency to respond on mailing lists.   But people have told me that they appreciate it that I do (and other people have flamed me to a crisp for it).   What's the right answer?

---

From: Olafur Gudmundsson <[email-masked]>
Date: Thu, 17 Oct 2013 16:21:48 -0400

> option should perhaps be used more often.

idea: 3 Yes votes overwrite 1 Discuss 

>> 	4) Reduce hurdles in processing

Charter updates take too long and take strange turns. 
Easier to kill bad documents by outright 
rejection of Publication Requests. 

> *many* times, truly delegating document review would make a big

Well we have GenArt and Security review teams, they and similar bodies 
could do initial processing of Publication requests. 

> forming will generally speaking increase the workload in the long run.

We had the long standing down-ref problem, it went away, but something like that
keeps creeping up again and again. Someone say we can not do "X" because document "Y" says so. 

> of WGs. If we had 50 WGs we'd have fewer ADs, or their workloads

For example last years Nomcom had hard time to find a Transport AD,
why do all area's have to have 2 other than balance? 

	Olafur

---

From: Ted Lemon <[email-masked]>
Date: Thu, 17 Oct 2013 16:50:00 -0400

> idea: 3 Yes votes overwrite 1 Discuss 

Right now we block a document if there's an unaddressed comment the sponsoring AD thinks is important.   The idea that the IESG is voting is mistaken—like the IETF, we operate on consensus.   And a DISCUSS is not a no, or shouldn't be.

---

From: Benoit Claise <[email-masked]>
Date: Thu, 17 Oct 2013 22:51:00 +0200

On 17/10/2013 20:35, Dave Crocker wrote:
>> rethinking the
> company.  Or, at least, they'd better be.  Only very large companies 
> can afford to lose a strategic resource for years.
>
> realistically no more than 50%, but I actually suggest trying for 25%, 
> given that reality will increase the actual amount above that.
Agreed.
One positive initiative implemented a few months ago is the addition of 
the document shepherd to the IESG telechat.
Personally, this helps me a lot.

Regards, Benoit

---

From: John C Klensin <[email-masked]>
Date: Thu, 17 Oct 2013 17:00:24 -0400

> option should perhaps be used more often.

Not if we think that careful, competent, cross-area review is
important.  If we were ever to decide that we didn't, there are
a whole lot of ways to reduce the workload, starting with
eliminating IETF Last Call and the need to read all of those
often-noisy and repetitious messages.

   john

---

From: Jari Arkko <[email-masked]>
Date: Fri, 18 Oct 2013 00:16:56 +0300

I have some opinions about this, not to the mistaken for the IESG's or IETF's official opinions.

First off, I think we should be very careful when thinking about funding models. I like an IETF where people come to do stuff (write docs for themselves and others, chair WGs, work as ADs, …) because it is useful for themselves and their employers - directly or indirectly, short term or long term, but there needs to be a reason we all are here. A desirable feature of a funding model is to help direct efforts to directions that are actually useful for the world. This is not to say that it would be the only desirable feature of a funding model, we have serious problems with academic participation, for instance. And we have too many situations where we only have large companies involved. But I could also imagine funding models that would support ADs but would move IETF towards doing things that are not tied to real world and real Internet problems. But it is possible there is a useful middle ground. 

Secondly, we've talked about this in the IESG and the community last spring when we had only one TSV AD for a while. My read of the situation is that reducing the task to a better manageable one is the most reasonable course of action. It would also solve many of the undesirable aspects of the funding model. I can only agree with Adrian who said:

> Please don't assume we ADs want this to be full time work.

Thirdly, if you are considering volunteering for an AD task, please do not feel that you need to be limited by current operating models. The AD is a management position, and we expect managers to have an idea how to run things, often better than what has been done previously. For instance, several ADs make extensive use of directorates in their review tasks, for instance several Gen ADs have traditionally relied almost entirely on directorate help (at least unless problems show up in review of a document). Other ADs do this too, though to a lesser extent due to a different type of their task. But for all of these positions, if you have an idea how to run it best - please volunteer and expect to get a lot of latitude to run your area how you see best!

Fourth, the IESG's desirable qualifications are just our opinions, and the nomcom needs to decide what type of people the IETF really needs. Hopefully that is the kind of people that I referred to above that know how to organise their and others work in an efficient manner! And the areas are largely run by the ADs very independently. The IESG does control things like how we run the common things, the tele chats, and we do control how many areas there are. If it helped to increase or reduce the number of ADs, we'd do it in a heartbeat. However, the quick solution of getting additional ADs to share tasks more widely is not necessarily good either, because the overall team size would grow, with the inter-IESG coordination becoming harder. I think we are already at a practical limit. Shrinking the IESG might make us think harder about what tasks really are absolutely necessary :-)

> You forgot "from a magical pool of better qualified WG chairs who have the time and inclination to take on the work."   This is actually very similar to the AD acquisition problem.

My conclusion is that (a) IETF that does useful things on a timely basis will naturally attract people to do the work and (b) a big part of the responsibility is in the IESG's and individual AD's hands - if the manager doesn't manage his or hers work efficiently, then it is the manager's fault.

As to how to implement (b): I think it is natural that as organisations do more (and we do quite a bit, and have been for a long time) the management needs to give up on managing all details, and have to spend more of their time in finding the good coders than fixing the bugs in the code themselves :-) Delegate. Focus on the strategic things. Yeah, maybe easier said than done.

Jari

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Oct 2013 10:49:28 +1300

It's been suggested to me off list that this message came across as
sarcastic. That was absolutely not my intention. I though Peter's list
was thoughtful and I think that only drastic changes of how we work
can seriously tackle the problem.

I've been quite shocked recently by the number of substantive and
important comments the IESG has made on a couple of drafts I've been
involved in. The documents will be much better as a result, but all
these points really should have been picked up earlier. See 1A
and 1C below, or 1B if you prefer.

Regards
   Brian

---

From: Dave Cridland <[email-masked]>
Date: Thu, 17 Oct 2013 23:09:29 +0100

> At the point where we pay people to occupy the role the nature of it
changes dramatically.

I hadn't thought about "we" paying, but I did think that organizations
sponsoring a slot, rather than an individual, would be better. That would
involve no influence over who was picked, even.

That said, I've no evidence that this would solve the problem anyway; it's
merely guesswork on my part, knowing that there exist good candidates who
are either self employed, or who do not have their employer's consent to
remain employed while being an AD.

Dave.

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 17 Oct 2013 23:20:54 +0100

On 10/17/2013 10:16 PM, Jari Arkko wrote:
> Shrinking the IESG might make us think harder about what tasks really
> are absolutely necessary :-)

FWIW, having thought a bit about this my conclusion was that
shrinking the IESG to the point where its not actually feasible
to do all that's asked/expected by ADs/the-IETF-generally
is the only way to get the AD role down to ~1 day a week
between IETF meetings. I also have no clue how we mght get
there from here;-)

And as a factoid, for me, it was very much near full time
at first, but after a year was closer to 50-60% of my time
when nothing much special is going on, which is mostly, but
not always. However my hours-per-week are noticeably higher
than before being an AD, so it is more than 50-60% of my
pre-AD working week. So I do agree that changes that reduce
the load are very desirable if we could find a way to do
that. OTOH, I know a lot of other people who's hours per
week are growing thanks to be able to work outside of the
office so maybe that's a factor too.

S.

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 17 Oct 2013 16:22:14 -0600

> can seriously tackle the problem.

Brian, I didn't take your comments that way, but as an illustration of
the signficant cultural and personal changes required here.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Brian Trammell <[email-masked]>
Date: Fri, 18 Oct 2013 09:05:42 +0200

hi Peter, all,

> 1. Less/no time on document reviews.

There are two broad purposes to review: 

(1) quality, both technical and editorial: does the document describe a real working thing in an interoperably implementable way -- without necessarily considering the wider context in which it must function.

(2) consistency: does the document fit with the "Internet architecture" -- how does it interact with other documents in the same working group, in the same area; how does it interact with other ongoing work in other areas; how does it interact with past work across the IETF; and most importantly, how does it interact with what's actually deployed in each of the relevant contexts.

We already have directorates which -- with a fair amount of variability in scope from area to area -- handle first-pass reviews of most of this. The roles of the directorates could be significantly expanded; however: one important aspect of this problem is that quality review is much more scalable and parallelizes much better than consistency review. All a reviewer needs to evaluate the quality of the document is some facility with the language (and jargon) in which it is written and a relatively good understanding of the problem it's trying to solve.

Consistency review is harder in that one must additionally have fairly deep and current knowledge of essentially everything going on everywhere. Cross-area _quality_ review can reduce this workload somewhat, at the cost of requiring each area directorate to have qualified reviewers who are conversant in at least one or two other areas. So these will necessarily be rarer and more difficult, but they can be made significantly easier by more, better, and earlier quality review -- a consistency review should only be checking consistency, not chasing down ambiguities or errors wholly within the document itself.

Academia uses grad students for reviews. One, they're cheap, two, it's also a way for the grad students to learn. The hope (and it is a hope) is that for any given paper there is a diversity of expertise in the multiple reviews such that a review written by someone hopelessly unqualified doesn't result in a bad decision. We don't want to rely on hope for document quality, but we can learn something from the diversity side of this arrangement: if we have more, earlier reviews, focused on quality aspects more than consistency aspects, then the AD's review of the document can (1) draw from the outputs of more diverse earlier reviews and (2) benefit from a document of higher quality. A side benefit is that reviewers who do cross-area reviews get more visibility into the workings of other areas.

It seems that tool support could be useful here -- a document could be associated in the datatracker with a set of reviewers (either appointed by the ADs, directorates, or WG chairs, or volunteer reviewers), and those reviews tracked along with the document throughout its lifecycle, along with profiles of the reviewers (including other documents they've reviewed and authored) from which their areas of expertise can be deduced.  Doing this would allow us to track which areas have already reviewed; reviewers who have only looked at certain sections of the document in detail could indicate so, giving both an area-coverage and text-coverage view of where more work is needed.

To the extent that these reviews require human coordination and oversight (i.e., someone to ratify a review in the datatracker as of sufficient quality itself), I'd see this as primarily the job of the document shepherd.

It also needs more reviewers, but we've got a couple of thousand volunteers. This asks for a bit of a culture shift, to be slightly more formal about how reviews are done, but I think it would go a long way to making the AD position a viable choice for more people.

Cheers,

Brian

---

From: t.p. <[email-masked]>
Date: Fri, 18 Oct 2013 09:23:38 +0100

----- Original Message -----
From: "Stephen Farrell" <[email-masked]>
To: "IETF Discuss" <[email-masked]>
Sent: Thursday, October 17, 2013 11:20 PM
> office so maybe that's a factor too.

I like to solve a problem by first knowing what the problem is.  Yes,
ADs have too much to do, and I regularly include comments to the effect
that ADs are the most valuable resource in the IETF, but where does the
time go?  To suggest what could be done, by myself and others, requires
first an understanding of that.

I recall a Canadian initiative of some 30 years ago, when I was given an
egg timer and a sheet of paper (it's probably in the App store nowadays)
and every time the timer went off, I reset it and wrote down what I was
doing.  At the end of a week, I had 70 samples of my activities and
could build up a picture of what I was doing to benefit my employer (or
myself), where I was frittering time away, where technology could
improve my productivity and so on.  So simple so effective.

So where does an AD's time go?  I need some concrete data, from whatever
means is appropriate.  Then I might be able to help.

Tom Petch

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 18 Oct 2013 10:06:14 +0100

I recommend that IESG consider discussing this problem more deeper for
future disasters and know why we have this problem today (maybe because of
our IETF managments in the past did not think of this problem that it might
come real) of short ADs or very low interest in taking such
responsibilities. In my opinion there is something wrong with the IESG or
NOMCOM, their system maybe old and needs to encourage
participants/new-comers in these positions, and make awareness.
 The solution is always encouraging diversity of participants into thoes
positions, why does not IESG and NOMCOM find new ways to market IETF-Jobs.
If we are doing more than 2 meetings every year in one region of majority
participants, it is strange that we cannot get an AD ready to do the full
job for even one year. This problem can be blamed easily on IESG or/and
NOMCOM but not the community that follows its few leaders, but if we have
more diversified community we may blame the community of such problem.

AB

On Thu, Oct 17, 2013 at 10:16 PM, Jari Arkko <[email-masked]> wrote:

> First off, I think we should be very careful when thinking about funding
> models. I like an IETF where people come to do stuff (write docs for
> themselves and others, chair WGs, work as ADs, …) because it is useful for
> themselves and their employers - directly or indirectly, short term or long
> term, but there needs to be a reason we all are here. A desirable feature
> of a funding model is to help direct efforts to directions that are
> actually useful for the world. This is not to say that it would be the only
> desirable feature of a funding model, we have serious problems with
> academic participation, for instance. And we have too many situations where
> we only have large companies involved. But I could also imagine funding
> models that would support ADs but would move IETF towards doing things that
> are not tied to real world and real Internet problems. But it is possible
> there is a useful middle ground.
>
> Secondly, we've talked about this in the IESG and the community last
> spring when we had only one TSV AD for a while. My read of the situation is
> that reducing the task to a better manageable one is the most reasonable
> course of action. It would also solve many of the undesirable aspects of
> the funding model. I can only agree with Adrian who said:
>
> Thirdly, if you are considering volunteering for an AD task, please do not
> feel that you need to be limited by current operating models. The AD is a
> management position, and we expect managers to have an idea how to run
> things, often better than what has been done previously. For instance,
> several ADs make extensive use of directorates in their review tasks, for
> instance several Gen ADs have traditionally relied almost entirely on
> directorate help (at least unless problems show up in review of a
> document). Other ADs do this too, though to a lesser extent due to a
> different type of their task. But for all of these positions, if you have
> an idea how to run it best - please volunteer and expect to get a lot of
> latitude to run your area how you see best!
>
> Fourth, the IESG's desirable qualifications are just our opinions, and the
> nomcom needs to decide what type of people the IETF really needs. Hopefully
> that is the kind of people that I referred to above that know how to
> organise their and others work in an efficient manner! And the areas are
> largely run by the ADs very independently. The IESG does control things
> like how we run the common things, the tele chats, and we do control how
> many areas there are. If it helped to increase or reduce the number of ADs,
> we'd do it in a heartbeat. However, the quick solution of getting
> additional ADs to share tasks more widely is not necessarily good either,
> because the overall team size would grow, with the inter-IESG coordination
> becoming harder. I think we are already at a practical limit. Shrinking the
> IESG might make us think harder about what tasks really are absolutely
> necessary :-)
>
> > You forgot "from a magical pool of better qualified WG chairs who have
> the time and inclination to take on the work."   This is actually very
> similar to the AD acquisition problem.
>
> My conclusion is that (a) IETF that does useful things on a timely basis
> will naturally attract people to do the work and (b) a big part of the
> responsibility is in the IESG's and individual AD's hands - if the manager
> doesn't manage his or hers work efficiently, then it is the manager's fault.
>
> As to how to implement (b): I think it is natural that as organisations do
> more (and we do quite a bit, and have been for a long time) the management
> needs to give up on managing all details, and have to spend more of their
> time in finding the good coders than fixing the bugs in the code themselves
> :-) Delegate. Focus on the strategic things. Yeah, maybe easier said than
> done.
>
> Jari
>
>

---

From: John Leslie <[email-masked]>
Date: Fri, 18 Oct 2013 11:05:17 -0400

Dave Crocker <[email-masked]> wrote:
> less onerous...

<hat="Senior Narrative Scribe">

   Having followed a strong majority of formal telechats for five years,
it is blindingly obvious to me that

- there are too many documents to review, and
- there are too many Working Groups to manage;

and it keeps getting worse. :^(

   The fact that the IESG gets through the agendas for these telechats
fools some folks into believing the job is possible -- but the rest of
us aren't fooled.

> Re-define the bloody job...

   Here I part ways with Dave. (It never seems to take long... :^)

   There is nothing wrong with reviewing documents. There is nothing
wrong with managing Working Groups. There are just too many of both!

   I can't very well name a WG that shouldn't be on the list for an
AD to manage (I'll cover that issue in a separate email); but we have
a perfect example right now of a document that the IESG shouldn't be
responsible to review.

   Pete Resnick's draft-resnick-on-consensus is an individual submission
seeking Informational status. From its Abstract:
] 
] This document is a collection of thoughts on what rough consensus is,
] how we have gotten away from it, and the things we can do in order to
] really achieve rough consensus.

   Yet, if it is published as an Informational RFC, it will have
boilerplate saying:
] 
] This document is a product of the Internet Engineering Task Force
] (IETF).  It represents the consensus of the IETF community.  It has
] received public review and has been approved for publication by the
] Internet Engineering Steering Group (IESG).  Not all documents
] approved by the IESG are a candidate for any level of Internet
] Standard; see Section 2 of RFC 5741.

   Thus some folks have quite understandably objected to it being
published, even as Informational.

   IESG review of it is really redundant (and I'd be surprised if any
AD puts a DISCUSS on it once Pete is satisfied with it). Pete will do
any appropriate consensus-seeking before he signs off an it.

   But there's that boilerplate!

   There's just no way a document like this can get genuine "consensus
of the IETF community". Yet it most truly deserves an IETF-wide Last
Call.

   IMHO there are _many_ documents being published as Informational
which deserve an IETF-wide Last Call, but don't deserve to go before
an IESG telechat and ask ADs to sign off on "consensus of the IETF
community".

   Documents such as this should represent the _author's_ opinions
after a Last Call process -- claiming "IETF community" consensus
detracts from that, and even _formal_ IESG review without that
boilerplate would detract from it.

</hat>

   Can we get there from here? I don't know. :^(

   Removing the IESG review would be a process change; and we've had
very poor luck with those recently...

   But even changing the boilerplate would help...

--
John Leslie <[email-masked]>

---

From: Michael Richardson <[email-masked]>
Date: Fri, 18 Oct 2013 11:14:58 -0400

Brian E Carpenter <[email-masked]> wrote:
    > 1A. All WGs do a near-perfect job on their drafts, including complete
    > management of cross-area reviews.

...

    > 3A. IESG refuses the majority of proposed WGs.

..

    > [I'm not sure that will work. ADs are uniquely placed to identify
    > clashes and overlaps.]

Well, if one applies the above suggestions, then the schedule becomes much
easier to deal with.

---

From: t.p. <[email-masked]>
Date: Fri, 18 Oct 2013 18:08:22 +0100

---- Original Message -----
From: "Brian E Carpenter" <[email-masked]>
To: "Peter Saint-Andre" <[email-masked]>
Cc: "John C Klensin" <[email-masked]>; <[email-masked]>; "IETF
Discuss" <[email-masked]>
Sent: Thursday, October 17, 2013 8:37 PM
> 3A. IESG refuses the majority of proposed WGs.

I have thought for some time that this is the way that the IETF will go,
that the effort available within the IETF is declining and so the work
that can be done must also decline.  Experience tells me that it
takes a disaster or two for this to become apparent; perhaps a
shortage of ADs is such an event.

I do think that there are some 'limping' WGs, ones which perhaps cost
proportionately more in terms of AD time, that should not have been
formed or not be allowed to run on.

Tom Petch

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Sun, 20 Oct 2013 05:46:28 +0000

> 6. Less/no involvement with creating the schedule.

Let me add fewer areas to find ADs for

---

From: Scott Brim <[email-masked]>
Date: Sun, 20 Oct 2013 07:52:39 -0400

> Let me add fewer areas to find ADs for

Adding more certainly doesn't help. Reducing the number could help if we
have a concomitant increase in the usefulness of directorates.  But it
doesn't solve the problem.  If we learn to adjust to having fewer ADs, and
the trend toward a smaller more homogeneous candidate pool continues, we
end up with just a Chair and maybe 1-2 ADs, plus a lot of (appointed)
"assistants".  That could work, but let's decide explicitly if that's the
trajectory we want to be on.

Scott

---

From: Tim Chown <[email-masked]>
Date: Sun, 20 Oct 2013 15:31:57 +0100

On 20 Oct 2013, at 12:52, Scott Brim <[email-masked]> wrote:
> Adding more certainly doesn't help. Reducing the number could help if we have a concomitant increase in the usefulness of directorates.  But it doesn't solve the problem.  If we learn to adjust to having fewer ADs, and the trend toward a smaller more homogeneous candidate pool continues, we end up with just a Chair and maybe 1-2 ADs, plus a lot of (appointed) "assistants".  That could work, but let's decide explicitly if that's the trajectory we want to be on.
> 

I suspect we may find that more people would be able to find the time and resource to do AD-like tasks for a handful of hours per week, rather than having to find support to commit for 40 hours per week. Helping on a directorate is, for example, not an onerous task, but it (I hope) helps the ADs.

As it stands, WG chairs have the option to appoint a secretary, for some level of help. The question I asked in the original email was whether ADs should have the option to appoint one or more assistants to help them. It seems that there's a lot to be said for such a model.  Potential future ADs could contribute the time they do have, and in doing so get a better feel for what the full AD role would be like, while the ADs would get some extra resource/help, which could reduce the amount of time they need to spend, making the role more attractive/feasible to them. 

The question is how we answer Scott's last sentence above.  It could be a good topic to put on the admin plenary agenda in Vancouver.

Tim

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 20 Oct 2013 10:42:59 -0400

The question to my mind is which tasks are you looking to off-load.
ADs already can ask for assistance in many ways.  Most use directorates. 
  Some use them a lot.  Some use them only a little.
[Yes, I have an opinion about how to handle an area directorate that 
tells the AD "no, we will not do more reviews for you."  But even that 
is not as easy as one would like.]

Assuming we don't want to change the basic functioning and review, the 
ADs themselves need to be sufficiently informed of issues to engage in 
discussion with the other ADs about issues.  That requires a fair amount 
of work.

Yours,
Joel

On 10/20/13 10:31 AM, Tim Chown wrote:
> On 20 Oct 2013, at 12:52, Scott Brim <[email-masked]
> <mailto:[email-masked]>> wrote:
>>
>> Adding more certainly doesn't help. Reducing the number could help if
>> we have a concomitant increase in the usefulness of directorates.  But
>> it doesn't solve the problem.  If we learn to adjust to having fewer
>> ADs, and the trend toward a smaller more homogeneous candidate pool
>> continues, we end up with just a Chair and maybe 1-2 ADs, plus a lot
>> of (appointed) "assistants".  That could work, but let's decide
>> explicitly if that's the trajectory we want to be on.
>>
> I suspect we may find that more people would be able to find the time
> and resource to do AD-like tasks for a handful of hours per week, rather
> than having to find support to commit for 40 hours per week. Helping on
> a directorate is, for example, not an onerous task, but it (I hope)
> helps the ADs.
>
> As it stands, WG chairs have the option to appoint a secretary, for some
> level of help. The question I asked in the original email was whether
> ADs should have the option to appoint one or more assistants to help
> them. It seems that there's a lot to be said for such a model.
>   Potential future ADs could contribute the time they do have, and in
> doing so get a better feel for what the full AD role would be like,
> while the ADs would get some extra resource/help, which could reduce the
> amount of time they need to spend, making the role more
> attractive/feasible to them.
>
> The question is how we answer Scott's last sentence above.  It could be
> a good topic to put on the admin plenary agenda in Vancouver.
>
> Tim

---

From: Tim Chown <[email-masked]>
Date: Sun, 20 Oct 2013 15:49:39 +0100

On 20 Oct 2013, at 15:42, "Joel M. Halpern" <[email-masked]> wrote:

> ADs already can ask for assistance in many ways.  Most use directorates.  Some use them a lot.  Some use them only a little.
> [Yes, I have an opinion about how to handle an area directorate that tells the AD "no, we will not do more reviews for you."  But even that is not as easy as one would like.]
> 
> Assuming we don't want to change the basic functioning and review, the ADs themselves need to be sufficiently informed of issues to engage in discussion with the other ADs about issues.  That requires a fair amount of work.

I think at a high level it could be as simple as ADs being able to appoint one or two assistants each with whom they can work closely to help achoeve whatever it is they need.  Just as they can with directorates.  But the assistant(s) might be on a more accountable footing, much as a WG chair is. 

Tim

---

From: John C Klensin <[email-masked]>
Date: Sun, 20 Oct 2013 10:57:25 -0400

--On Sunday, 20 October, 2013 07:52 -0400 Scott Brim
<[email-masked]> wrote:

> But it
> doesn't solve the problem.  If we learn to adjust to having
> fewer ADs, and the trend toward a smaller more homogeneous
> candidate pool continues, we end up with just a Chair and
> maybe 1-2 ADs, plus a lot of (appointed) "assistants".  That
> could work, but let's decide explicitly if that's the

Most others haven't, but you, Scott, have been around long
enough to remember that is more or less where the IETF started,
in that case with an appointed Chair, Chair-appointed ADs, and
whatever help or organizational structure the latter could
muster.  That structure has the advantage of efficiency, real
accountability, and a guarantee of a group that can work
together well.  Unless the Chair is really careful (and, IMO,
Phill did a superb job) it completely loses all of the
advantages of a diversity of views and a number of other things,
including distributed accountability.

It seems to be that, whether going that route, splitting off the
management and approval processes, forcing the number of WGs
down, doubling the size of the IESG, or even reviving the
long-dead idea of breaking the IETF up into separate Area (or
cluster of Areas) organizations, we have no shortage of
proposals.  We've even had proposals for tuning the Nomcom model
that might help with some of the candidacy-availability problem
as well as other things. Each one has disadvantages.  Most have
some advantages and/or side-effect solutions to other problems.

What I haven't seen since the changes of the first half of the
1990s is real community consensus that it is time to do
something rather than agonize about particular symptoms (e.g.,
Nomcom problems getting ample good candidates for all areas),
complain or whine, and ultimately do nothing.  

Many times "do nothing" has been the result of an incumbent IESG
being happy with the status quo and effectively blocking
consideration of change proposals, but often the community just
hasn't considered the issue important enough to expend the
energy.  Perhaps this time will be different.

 best,
    john

---

From: Andy Bierman <[email-masked]>
Date: Sun, 20 Oct 2013 08:45:36 -0700

Hi,

First it would be good to confirm (from NOMCOM?) why people are rejecting
AD nominations. IMO asking 25 - 40 hours a week for 2 years is too much,
but I am guessing that 1/2 of that is the right number to require.

I was surprised to hear that document review took only around 20%
of the time.  If so, then changing the review process won't help.
How many ADs are managers or directors in their day job?
How many have managed 15 - 30 employees before?
There is an large imbalance in the IESG between technical and management
skills.
I really think paying for professional management services would help.

Andy

On Sun, Oct 20, 2013 at 7:49 AM, Tim Chown <[email-masked]> wrote:

> tells the AD "no, we will not do more reviews for you."  But even that is
> not as easy as one would like.]
> >
> discussion with the other ADs about issues.  That requires a fair amount of
> work.
>
> I think at a high level it could be as simple as ADs being able to appoint
> one or two assistants each with whom they can work closely to help achoeve
> whatever it is they need.  Just as they can with directorates.  But the
> assistant(s) might be on a more accountable footing, much as a WG chair is.
>
> Tim
>
> > Yours,
> > Joel
> >

---

From: Jari Arkko <[email-masked]>
Date: Sun, 20 Oct 2013 23:58:46 +0800

I think delegation to directorates, chairs, and document shepherds is more useful than creating a new assistant role. Not saying that such delegation is easy, but it clearly has worked well in some situations at least.

There's really just a couple of fundamental variables we can tweak: delegation (moving work around), depth (how much and how detailed we do it), coordination (how different pieces of work are organised as either separate independent processes or as something that needs more coordination), and scope (what work belongs in the IETF). And in every organisation, the roles needs to be reasonable & motivated for everyone in those roles. 

In my completely person opinion: First, tweaking the scope should be off the table, because organisation should follow need, rather than vice versa. Our job (at the IESG/IETF) to fix the organisation if necessary. Second, I think we should look at delegation and depth of work at the IESG, and not merely because it would help AD work load. The better reason to look at that would be to empower the WGs to do their work in as complete fashion as possible, and be self responsible for dealing with the issues that arise, e.g., in cross-area reviews. This is why we've said that we will be sending more work back to the WGs and created the early directorate review experiment. Admittedly these are small steps. But it is my belief at least that the IESG needs to get out of the loop in more cases than we are today.

Finally, a couple of +1s to the following people:

Loa wrote:

> I should probably keep my mouth shat about this :) ! Looking tot he RTG
> area don't we have an Assistant AD, only that we call it the
> RTG Directorate Chair? A very proper place to delegate work and assign
> responsibility.

Indeed. (Which may beg the question of whether additional recognition for the important work by chairs and directorate folk needs more recognition.)

And Joel:

> For better or worse I told the nomcom that I only have 2 hours a day (7 days a  week) for this… They took me anyway. The load is unevenly distributed. The internet and routing and Apps ADs appear to have more  drafts to process and more complex working group interactions, then does the ops side of ops and management.
> 
> That said, this is not a not a full time job for me and I am not compensated for doing it. If my level of available commitment isn't adequate, I guess we'll find out between now and the 2 year mark.  My contribution to the things that bring me to the IETF as on operator have dropped off because I don't have time for them.

Kudos to Joel for doing such a good job with a limited amount of time. I hope that this sets an example as well for others to follow! (Obviously, areas and situations differ, too, which people should take into account.)

Jari

---

From: Michael Richardson <[email-masked]>
Date: Mon, 21 Oct 2013 10:18:52 -0400

> but I am guessing that 1/2 of that is the right number to require.

nomcom doesn't always hear back a reason.
I'm not sure that nomcom has the time to investigate;  while the list of
people who accepted is public according to BCP10 (rfc5680), the list of
who declined is not.

It would be nice if the list of who declined could be made available (perhaps
under NDA) to some researcher to do a survey.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Allison Mankin <[email-masked]>
Date: Mon, 21 Oct 2013 10:28:00 -0400

> people who accepted is public according to BCP10 (rfc5680), the list of

We've been told a reason for decline about 10 times so far.  Half of those
cited the time commitment and uncertainty of support by their employer, the
other half cited only their support for the incumbent.  Sometimes people
say that they won't try to get the support by their employer because they
support the incumbent so they think their own candidacy isn't needed.

> When we get a little time, we can think about auto-generating invitations
to the decliners to fill in an anonymizing online survey.

---

From: Joe Abley <[email-masked]>
Date: Mon, 21 Oct 2013 11:05:45 -0400

On 2013-10-21, at 10:28, Allison Mankin <[email-masked]> wrote:

> We've been told a reason for decline about 10 times so far.  Half of those cited the time commitment and uncertainty of support by their employer, the other half cited only their support for the incumbent.  Sometimes people say that they won't try to get the support by their employer because they support the incumbent so they think their own candidacy isn't needed.

My sense of the feedback I have seen so far (and it's certainly true for me) is quite simple:

 - the perception is that doing a good job on the IESG is pretty much a full-time commitment
 - I don't have enough free time to do that outside my day job. I have children, and the transhumanists have not produced an effective way to live without sleep yet.
 - My employer, although demonstrably willing and able to dedicate resources to the IETF for the good of the Internet, wants me working on other things than just "IESG" during work hours
 - I didn't volunteer

I'm not suggesting that I'd be of any use on the IESG anyway, but the current conversation seems to be more about the number of volunteers than the quality of the volunteers.

If the perception in the first ASCIIbullet above is inaccurate, then it makes sense to correct it. Joel's estimate of how much the Ops Area AD role consumes for him was different, for example.

I think the concern that the number of people available within the constraints above to dedicate time to the IESG is low and represents an institutional bias is reasonable. There's no way that a resource-stretched, panic-mode, regional ISP is going to be able to pull their top talent away from the burning routers and send them full-time to review drafts and push paper for the IETF, for example. This is not going to make the oft-cited concern about operator involvement in the IETF any better.

Joe